Bug Hunting Session
Bug 86607 - CONTEXT MENU: Removal of 'Custom Animation'
Summary: CONTEXT MENU: Removal of 'Custom Animation'
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.5.0 target:4.4.0.2
Keywords:
Depends on:
Blocks: ImpressDraw-Toolbars Context-Menu Impress-UX
  Show dependency treegraph
 
Reported: 2014-11-23 05:21 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-13 12:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-23 05:21:19 UTC
The 'Custom Animation' entry in the context menu for objects is redundant as all it does is switch to the 'Custom Animation' tab in the sidebar, and if the 'Custom Animation' is clicked when its already active in the sidebar, it will hide the sidebar.
Comment 1 Cor Nouws 2014-11-23 13:02:37 UTC
(In reply to Jay Philips from comment #0)
> The 'Custom Animation' entry in the context menu for objects is redundant as
> all it does is switch to the 'Custom Animation' tab in the sidebar, 

There are (were) more entries having the effect that a certain pane in the side bar (panel before) is activated?

> and if
> the 'Custom Animation' is clicked when its already active in the sidebar, it
> will hide the sidebar.

Quite odd yes ...
Comment 2 Yousuf Philips (jay) (retired) 2014-11-23 13:20:53 UTC
(In reply to Cor Nouws from comment #1)
> > and if
> > the 'Custom Animation' is clicked when its already active in the sidebar, it
> > will hide the sidebar.
> 
> Quite odd yes ...

No this isnt odd as you requested this feature be turned back on with F11 for styles, so it works this way for all sidebar panes. :D
Comment 3 Cor Nouws 2014-11-23 13:27:31 UTC
(In reply to Jay Philips from comment #2)

> No this isnt odd as you requested this feature be turned back on with F11
> for styles, so it works this way for all sidebar panes. :D

Clicking the context menu is not the same as using F11 ?
Comment 4 Yousuf Philips (jay) (retired) 2014-11-23 14:14:23 UTC
(In reply to Cor Nouws from comment #3)
> Clicking the context menu is not the same as using F11 ?

The reason F11 didnt work as because i had suggested that if you go to Tools > Gallery and clicked it once, the gallery appeared in the sidebar and when you clicked it a second time, it disappeared. This is the same as the context menu. :D
Comment 5 Yousuf Philips (jay) (retired) 2014-12-18 14:41:45 UTC
Patch is in - https://gerrit.libreoffice.org/#/c/13525/
Comment 6 Commit Notification 2014-12-22 08:26:29 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=13af803267905099fca117a1428afc8928477d1a

fdo#86607 removal of the 'Custom Animation' entry from context menu

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-01-07 12:37:06 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ed3f611d8f1102701b267b801607a6068608a8a&h=libreoffice-4-4

fdo#86607 removal of 'Custom Animation' entry from context menu (4.4)

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.